
set( art_root_io_VERSION 1.02.01 )
set( art_root_io_UPS_VERSION v1_02_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################

if (IS_DIRECTORY "${PACKAGE_PREFIX_DIR}/art_root_io/v1_02_01/Modules")
  list(APPEND CMAKE_MODULE_PATH "${PACKAGE_PREFIX_DIR}/art_root_io/v1_02_01/Modules")
endif()



## find_library directives
find_ups_product( art  )
find_ups_product( canvas v1_06_00 )
find_ups_product( cppunit  )
find_ups_product( clhep  )
find_ups_product( cetlib_except  )
find_ups_product( cetlib v2_01_00 )
find_ups_boost( v1_50_0 )
find_ups_product( sqlite  )
find_ups_product( hep_concurrency  )
find_ups_product( tbb  )
  cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
  cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
find_ups_product( fhiclcpp  )
find_ups_product( python  )
find_ups_product( messagefacility  )
find_ups_product( range  )
  cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
find_ups_product( canvas_root_io  )
find_ups_root(  )
set(ART_ROOT_IO_DICT "$ENV{ART_ROOT_IO_LIB}/libart_root_io_dict.so")
set(ART_ROOT_IO_ROOTDB "$ENV{ART_ROOT_IO_LIB}/libart_root_io_RootDB.so")
set(ART_ROOT_IO_DETAIL "$ENV{ART_ROOT_IO_LIB}/libart_root_io_detail.so")
set(ART_ROOT_IO "$ENV{ART_ROOT_IO_LIB}/libart_root_io.so")
set(ART_ROOT_IO_TFILE_SUPPORT "$ENV{ART_ROOT_IO_LIB}/libart_root_io_tfile_support.so")
set(ART_ROOT_IO_TFILESERVICE_SERVICE "$ENV{ART_ROOT_IO_LIB}/libart_root_io_TFileService_service.so")
set(ART_ROOT_IO_ROOTINPUT_SOURCE "$ENV{ART_ROOT_IO_LIB}/libart_root_io_RootInput_source.so")
set(ART_ROOT_IO_ROOTOUTPUT_MODULE "$ENV{ART_ROOT_IO_LIB}/libart_root_io_RootOutput_module.so")
set(ART_ROOT_IO_SAMPLINGINPUT_SOURCE "$ENV{ART_ROOT_IO_LIB}/libart_root_io_SamplingInput_source.so")
set(ART_ROOT_IO_TEST_BAD-ASSNS_DICT "$ENV{ART_ROOT_IO_LIB}/libart_root_io_test_bad-assns_dict.so")
  include_directories ( "$ENV{ART_ROOT_IO_INC}" )

check_required_components(art_root_io)

